WARNING : System stack components are out-of-date

General support regarding TimeTrex, such as
configuring policies/taxes or processing payroll.
Post Reply
webmaster
Posts: 38
Joined: Tue Dec 16, 2014 12:38 pm

WARNING : System stack components are out-of-date

Post by webmaster »

Hello, We are using TT Community version 11.5.0 automatically installed on a windows server in the USA - ohio. I've started to receive the warning at the top - WARNING : System stack components are out-of-date and not supported with this version of TimeTrex. I did a forced upgrade of TT and that did not solve it. I am guessing the PHP needs updated. The current version is 5.6.20 . To do that, I just figured I would do a reinstall with a new installer so I was sure to get a complimentary PHP version. However, the installer was still going to install the PHP 5 components instead of a more recent version. What should I try next?

mikeb
Posts: 609
Joined: Thu Jul 27, 2006 11:58 am

Re: WARNING : System stack components are out-of-date

Post by mikeb »

Assuming you installed TimeTrex originally with our automated installer, all you need to do is download the TimeTrex .exe installer for Windows from our website and install it over top of your existing TimeTrex directory. It will detect that you want to perform an upgrade and notify you of that. Do not uninstall anything first as you will lose data if you do so.
TimeTrex Community Edition is developed and supported by volunteers.
Help motivate us to continue by showing your appreciation!

webmaster
Posts: 38
Joined: Tue Dec 16, 2014 12:38 pm

Re: WARNING : System stack components are out-of-date

Post by webmaster »

Well that was the solution. Thank you. I also needed to redo my SSL cert and settings. Even though the installer says it is going to install PHP 5 , it installs PHP 7

Post Reply